package com.junmp.jyzb.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.junmp.jyzb.api.bean.query.OrderMainReq;
import com.junmp.jyzb.entity.OrderMain;
import com.junmp.jyzb.entity.Product;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

@Mapper
public interface OrderMainMapper extends BaseMapper<OrderMain> {
    Long addOrder(OrderMain order);


    void updateOrder(OrderMain order);


    IPage<OrderMain> getOrderPage(Page<OrderMain> page1, @Param("bussinessType")String bussinessType ,
                                  @Param("startOrgId") Long startOrgId, @Param("endOrgId") Long endOrgId,
                                  @Param("orderState") String orderState , @Param("examineState") String examineState,
                                  @Param("startTime") String startTime, @Param("endTime") String endTime,
                                  @Param("typeId") String typeId, @Param("orderType") String orderType);

    IPage<OrderMain> getOrderPage(Page<OrderMain> page1,OrderMainReq req);

}